| Sign In | Join Free | My entremaqueros.com |
|
| Brand Name: PHENGA | Model Number: Customize |
| Minimum Order Quantity: Negotiable | Delivery Time: 15-20 days |
| Payment Terms: T/T | Place of Origin: Shaoguan,China |
| Guangdong Fengge Aluminum Co., Ltd. [Guangdong,China] | |
| Verified Supplier | |
| Brand Name: PHENGA | Model Number: Customize |
| Minimum Order Quantity: Negotiable | Delivery Time: 15-20 days |
| Payment Terms: T/T | Place of Origin: Shaoguan,China |
| Guangdong Fengge Aluminum Co., Ltd. [Guangdong,China] | |
| Verified Supplier | |
| Brand Name: Feixiang | Certification: CE BV ISO |
| Model Number: FX30-76 | Minimum Order Quantity: 1set |
| Delivery Time: 15 days | Payment Terms: L/C, T/T, D/P, D/A, Western Union, |
| hebei feixiang roll forming machinery co,ltd; [Hebei,China] | |
| Active Member | |
| Brand Name: Dingbo | Certification: ISO CE SGS |
| Model Number: DBDF | Minimum Order Quantity: 1 set |
| Delivery Time: Shipped in 30-70 days after payment | Payment Terms: L/C, T/T, Western Union, MoneyGram, D/A, D/P |
| Jiangyin Dingbo Technology CO., Ltd. [Jiangsu,China] | |
| Verified Supplier | |
| Brand Name: Dingbo | Certification: ISO CE SGS |
| Model Number: DBDF | Minimum Order Quantity: 1 set |
| Delivery Time: Shipped in 30-70 days after payment | Payment Terms: L/C, T/T, Western Union, MoneyGram, D/A, D/P |
| Jiangyin Dingbo Technology CO., Ltd. [Jiangsu,China] | |
| Verified Supplier | |
| Brand Name: Rance | Model Number: RC-C93 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C, T/T, Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: Rance | Model Number: OB 36 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C,T/T,Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: Rance | Model Number: A1 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C,T/T,Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: Rance | Model Number: R5 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C,T/T,Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: Rance | Model Number: RC-01 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C,T/T,Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: Rance | Model Number: A16 |
| Minimum Order Quantity: 1pcs | Delivery Time: 3-5 working days |
| Payment Terms: L/C,T/T,Western Union | Place of Origin: Guangdong |
| Shenzhen Ranchen Technology Co., LTD [China] | |
| Active Member | |
| Brand Name: HC | Certification: ISO |
| Model Number: HC800 | Minimum Order Quantity: 1set |
| Delivery Time: 30days | Payment Terms: 30% deposit by T/T in advance and 70% balance after inspection confirmation before shipment |
| Cangzhou Huachen Roll Forming Machinery Co., Ltd. [Hebei,China] | |
| Verified Supplier | |
| Application: Non Standard Project | Feature: Custom Built |
| Material: Aluminum | Door Type: High Speed |
| Dimension: Customizable | |
| Hunan Lianxin Chitai Intelligent Doors & Windows Co., Ltd. [Hunan,China] | |
| Verified Supplier | |
| Brand Name: INOFRIGO | Certification: CE |
| Model Number: PZ2610TN/380 | Minimum Order Quantity: 1 unit |
| Delivery Time: in stock | Payment Terms: D/P |
| Guangzhou IMO Catering equipments limited [Guangdong,China] | |
| Verified Supplier | |
| Brand Name: Gauss | Certification: CE |
| Model Number: GS-2030 | Minimum Order Quantity: 1 Set |
| Delivery Time: 5~8 days | Payment Terms: L/C, D/A, D/P, T/T, Western Union |
| Jinan Leetro Technology Co., Ltd. [China] | |
| Site Member | |
| Brand Name: Gauss | Certification: CE |
| Model Number: GS-ATC1325 | Minimum Order Quantity: 1 Set |
| Delivery Time: 5~8 days | Payment Terms: L/C, D/A, D/P, T/T, Western Union |
| Jinan Leetro Technology Co., Ltd. [China] | |
| Site Member | |
| Brand Name: Gauss | Certification: CE |
| Model Number: GS-ATC1530S | Minimum Order Quantity: 1 Set |
| Delivery Time: 5~8 days | Payment Terms: L/C, D/A, D/P, T/T, Western Union |
| Jinan Leetro Technology Co., Ltd. [China] | |
| Site Member | |
| Brand Name: Gauss | Certification: CE |
| Model Number: GS-1325R | Minimum Order Quantity: 1 Set |
| Delivery Time: 5~8 days | Payment Terms: L/C, D/A, D/P, T/T, Western Union |
| Jinan Leetro Technology Co., Ltd. [China] | |
| Site Member | |
| Brand Name: GRH | Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011 |
| Minimum Order Quantity: 1000 PCS | Delivery Time: 20 days to 50 days after received the deposit. |
| Payment Terms: L/C, T/T, Western Union, D/P | Place of Origin: CHINA |
| WENZHOU GRH MANUFACTURE CO.,LTD [Zhejiang,China] | |
| Verified Supplier | |
| Brand Name: VASAGLE | Certification: CE |
| Model Number: XLNT21BX | Minimum Order Quantity: 200 pieces |
| Delivery Time: 5-60 work days | Payment Terms: T/T, L/C |
| Zhengzhou Ledrem Network Technology Co., Ltd. [Henan,China] | |
| Active Member | |